<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="observerAdvice"
		class="tudu.aspects.observer.ObserverAdvice">
		<property name="event">
			<bean class="tudu.service.events.impl.EventImpl">
				<property name="listeners">
					<set>
						<bean
							class="tudu.aspects.observer.DummyObserver" />
					</set>
				</property>
				<property name="type" value="execTodoDAO" />
			</bean>
		</property>
	</bean>

	<bean id="observerPointcut"
		class="org.springframework.aop.support.NameMatchMethodPointcut">
		<property name="mappedNames"
			value="getTodo,saveTodo,removeTodo" />
	</bean>

	<bean id="observerAdvisor"
		class="org.springframework.aop.support.DefaultPointcutAdvisor">
		<property name="advice" ref="observerAdvice" />
		<property name="pointcut" ref="observerPointcut" />
	</bean>

	<bean class="org.springframework.aop.framework.autoproxy.DefaultAdvisorAutoProxyCreator" />

</beans>